.partner__btn {
  cursor: pointer;
  margin: 0 auto 0;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px 0;
  width: 250px;
  border: none;
  border-radius: 10px;
  color: #fff;
  background: #4fb3ec;
  box-shadow: 0 7px 15px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s ease-in-out;

  &::before,
  &::after {
    background: #119ad0ff;
    border-radius: 10px;
    content: "";
    position: absolute;
    z-index: -1;
  }

  &:after {
    height: 0;
    left: 50%;
    top: 50%;
    width: 0;
    transition: all 0.3s;
  }

  &:hover:after {
    height: 100%;
    left: 0;
    top: 0;
    width: 100%;
  }

  & span {
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    transition: letter-spacing 0.3s ease-in-out;
  }

  &:hover {
    animation: rotate 0.7s ease-in-out both;
    box-shadow: 0 7px 20px rgba(0, 0, 0, 0.5);

    span {
      animation: storm 0.7s ease-in-out both;
      animation-delay: 0.06s;
      letter-spacing: 0.25px;
    }
  }

  @keyframes rotate {
    0% {
      transform: rotate(0deg) translate3d(0, 0, 0);
    }
    25% {
      transform: rotate(3deg) translate3d(0, 0, 0);
    }
    50% {
      transform: rotate(-3deg) translate3d(0, 0, 0);
    }
    75% {
      transform: rotate(1deg) translate3d(0, 0, 0);
    }
    100% {
      transform: rotate(0deg) translate3d(0, 0, 0);
    }
  }

  @keyframes storm {
    0% {
      transform: translate3d(0, 0, 0) translateZ(0);
    }
    25% {
      transform: translate3d(5px, 0, 0) translateZ(0);
    }
    50% {
      transform: translate3d(-4px, 0, 0) translateZ(0);
    }
    75% {
      transform: translate3d(3px, 0, 0) translateZ(0);
    }
    100% {
      transform: translate3d(0, 0, 0) translateZ(0);
    }
  }
}
